Bug 972250 - Release notes in Lost&Found KDE menu
Release notes in Lost&Found KDE menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-release-notes (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Extras Quality Assurance
RejectedBlocker AcceptedFreezeException
:
Depends On:
Blocks: F19-accepted/F19FinalFreezeException F19Target-kde
  Show dependency treegraph
 
Reported: 2013-06-07 20:46 EDT by nucleo
Modified: 2013-09-13 10:34 EDT (History)
13 users (show)

See Also:
Fixed In Version: fedora-release-notes-19-0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:19:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nucleo 2013-06-07 20:46:41 EDT
Description of problem:
Release notes shown in Lost&Found KDE menu.

Version-Release number of selected component (if applicable):
fedora-release-notes-19-0.9.b


Release notes was in System menu on F19 Beta live image (fedora-release-notes-17.95.0-1.fc19 there).
Comment 1 Kevin Kofler 2013-06-07 20:49:10 EDT
I think this violates the "menu sanity" criterion => nominating as blocker.
Comment 2 Adam Williamson 2013-06-07 22:14:47 EDT
arguably, though note i'm proposing that we downgrade those criteria quite a lot:

https://lists.fedoraproject.org/pipermail/test/2013-June/115891.html

follow-up to that thread please, just wanted to alert you :) I think it's good to take care of polish stuff like that, but it doesn't necessarily make a lot of sense to block the release on it.
Comment 3 Pete Travis 2013-06-07 22:53:28 EDT
The .desktop file uses "Categories=Documentation;" - it seemed the most appropriate. I can change it "System;Documentation;" or even "System" to restore the previous behavior, but I'd much rather see KDE properly support the Documentation category.
Comment 4 Kevin Kofler 2013-06-08 15:00:34 EDT
Per the desktop-menu-spec:
http://standards.freedesktop.org/menu-spec/latest/apas02.html
Documentation is an Additional Category and MUST be used together with a Main Category from the list in:
http://standards.freedesktop.org/menu-spec/latest/apa.html#main-category-registry
(System, i.e. "Categories=System;Documentation;", is a valid option).
Comment 5 Kevin Kofler 2013-06-08 15:03:30 EDT
Adam Williamson wrote in comment #2:
> I think it's good to take care of polish stuff like that, but it doesn't
> necessarily make a lot of sense to block the release on it.

And I think this is very broken, we should have MORE "polish" criteria to cover the things we don't currently cover, not less. At least unless you're planning to do live image respins with updates. The live images look very unpolished and broken if we release with known defects in that area.
Comment 6 Adam Williamson 2013-06-08 15:13:11 EDT
well, it's a pragmatic thing: i don't think the will is really there across the project to support such a move. it doesn't pass the release blocker 'acid test': if we got to the go/no-go meeting and all that was left was a couple of polish bugs in the menus, I don't think we'd be able to swing a 'no go' vote. so there's no point in pretending we could.
Comment 7 Pete Travis 2013-06-08 15:51:29 EDT
(In reply to Kevin Kofler from comment #4)
> Per the desktop-menu-spec:
> http://standards.freedesktop.org/menu-spec/latest/apas02.html
> Documentation is an Additional Category and MUST be used together with a
> Main Category from the list in:
> http://standards.freedesktop.org/menu-spec/latest/apa.html#main-category-
> registry
> (System, i.e. "Categories=System;Documentation;", is a valid option).

Thanks for pointing this out, Kevin.  I was interpreting the spec as "Compliant Desktpo Environments must support Main categories, and can optionally also support these additional categories" instead of "Compliant Desktop Files..."
Comment 8 Adam Williamson 2013-06-10 14:24:41 EDT
Discussed at 2013-06-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-10/f19final-blocker-review-4.2013-06-10-16.01.log.txt . With a closer look at the existing criteria, this still doesn't actually hit them. It says all Applications must launch (kinda irrelevant here), everything has to have a good icon (not the issue here), and nothing can be listed twice - but it doesn't say anything about things not being in the right place.

And if we just disregarded the letter of the criteria and considered whether we thought we really ought to block a release over this bug, the consensus was no, we probably wouldn't. But it does look pretty silly, so obviously it'd be best to fix it, and we certainly would be happy to do that post-freeze, so it's rejected as a blocker but accepted as a freeze exception issue.

In practice the fix is simple and we still have some time before release, so it shouldn't be a problem to get this fixed at all.
Comment 9 Kevin Kofler 2013-06-10 17:00:50 EDT
IMHO, anything showing up under "Lost&Found" SHOULD be a blocker! We are being paranoid like crazy about updates, yet we are willing to release live images with such blatant defects. (What if such a regression were introduced much later in the freeze? This one did sneak in post-Beta.)
Comment 10 Fedora Update System 2013-06-14 01:28:15 EDT
fedora-release-notes-19-0.12 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-release-notes-19-0.12
Comment 11 Fedora Update System 2013-06-14 19:11:22 EDT
Package fedora-release-notes-19-0.12:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-notes-19-0.12'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10839/fedora-release-notes-19-0.12
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-06-18 02:19:28 EDT
fedora-release-notes-19-0.12 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 nucleo 2013-09-13 10:34:24 EDT
Release Notes again in Lost&Found menu on F20 Alpha RC2 KDE image.
fedora-release-notes-20-0.0

Note You need to log in before you can comment on or make changes to this bug.